ONVIF::PTZ::Types::ConfigurationEntity(3)

NAME
ONVIF::PTZ::Types::ConfigurationEntity

DESCRIPTION
Perl data type class for the XML Schema defined complexType ConfigurationEntity from the namespace http://www.onvif.org/ver10/schema.

Base type defining the common properties of a configuration.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Name

•   UseCount

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ConfigurationEntity
   Name => $some_value, # Name
   UseCount =>  $some_value, # int
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::ConfigurationEntity::_ConfigurationEntity::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   token

     Token that uniquely references this configuration. Length up to 64 characters.

    This attribute is of type ONVIF::PTZ::Types::ReferenceToken.

AUTHOR
Generated by SOAP::WSDL